/*
********************************************************************
* IBM Confidential                                                 *
*                                                                  *
* OCO Source Materials                                             *
*                                                                  *
* 5724-E76 and 5724-E77                                            *
*                                                                  *
* (C) Copyright IBM Corp. 2001, 2003                               *
*                                                                  *
* The source code for this program is not published or otherwise   *
* divested of its trade secrets, irrespective of what has been     *
* deposited with the U.S. Copyright Office.                        *
********************************************************************
*/
package com.ibm.wps.portletservice.languageinfo;

import java.util.Collection;

import com.ibm.portal.portlet.service.PortletService;

/**
 * Service that allows portlets to query information about language support of
 * the portal installation
 */
public interface LanguageInformationService extends PortletService 
{
    /**
     * Return a collection of all locales that are supported by the portal installation.
     * The result collection must mot be modified.
     * 
     * @return a collection of <code>Locale</code> objects
     */
    public Collection getSupportedLocales();
    
}
