/*
********************************************************************
* IBM Confidential                                                 *
*                                                                  *
* OCO Source Materials                                             *
*                                                                  *
* 5724-E76 and 5724-E77                                            *
*                                                                  *
* (C) Copyright IBM Corp. 2001, 2003                               *
*                                                                  *
* The source code for this program is not published or otherwise   *
* divested of its trade secrets, irrespective of what has been     *
* deposited with the U.S. Copyright Office.                        *
********************************************************************
*/
/* copyright statement automatically inserted on Mon Jul 07 12:48:53 EDT 2003 */

package com.ibm.wps.portletservice.siteanalyzer;

import java.util.Map;
import java.util.Iterator;
import java.util.Enumeration;

import org.apache.jetspeed.portlet.PortletRequest;
import org.apache.jetspeed.portlet.service.spi.PortletServiceProvider;

/**
 * <code>SiteAnalyzerLogPortletService</code> provides a simple API for 
 * allowing portlets to gnerate site analysis information. This service makes use of SiteAnalyzerLogService
 * in which the SiteAnalyzerPortletActionLogger must be enables.
 * <p>
 * @see SiteAnalyzerPortletActionLogger
 * @see SiteAnalyzerLog
 */

public interface SiteAnalyzerLogPortletService extends PortletServiceProvider
{
  // Copyright statement automatically inserted on Mon Jul 07 12:48:53 EDT 2003
  public static final String COPYRIGHT = com.ibm.wps.Copyright.SHORT;

     /**
     * Logs a PortletAction
     * @param portletRequest   the request which generated this event
     * @param actionName   the name of the action you want to log
     */
    
    public void logPortletAction(PortletRequest portletRequest, String actionName);
    
    
    /**
     * Logs a PortletAction
     * @param portletRequest   the request which generated this event
     * @param actionName   the name of the action you want to log
     * @param key   the name of the key you want to log
     * @param value  the corresponding value to the key you want to log
     */
    
    public void logPortletAction(PortletRequest portletRequest, String actionName, String key, String value);
    
    
    /**
     * Logs a PortletAction
     * @param portletRequest   the request which generated this event
     * @param actionName   the name of the action you want to log
     * @param keyValuePairs   a mapping of keys and values you want to log
     */
    
    public void logPortletAction(PortletRequest portletRequest, String actionName, Map keyValuePairs);
    
    
    /**
     * Logs a PortletAction
     * @param portletRequest   the request which generated this event
     * @param actionName   the name of the action you want to log
     * @param parameters   a set of parameters you want to log
     */
    
    public void logPortletAction(PortletRequest portletRequest, String actionName, Enumeration parameters);
    
    
    /**
     * Logs a PortletAction
     * @param portletRequest   the request which generated this event
     * @param actionName   the name of the action you want to log
     * @param parameters   a set of parameters you want to log
     */
    
    public void logPortletAction(PortletRequest portletRequest, String actionName, Iterator parameters);
    
    
    /**
     * Logs a PortletAction
     * @param portletRequest   the request which generated this event
     * @param actionName   the name of the action you want to log
     * @param parameters   a set of parameters you want to log
     */
    
    public void logPortletAction(PortletRequest portletRequest, String actionName, String[] parameters);    
}
